/* Stylesheet für Selfhtml Design 08 
  responsives Layout mit Grid Layout ab Z. 249   */

/* ====================================================   GLOBAL DEFINITION   ==================================================== */

/* alternatives Boxmodell */
html { 
  	box-sizing: border-box; 
	padding: 0;
	margin: 0;	
} 

*, ::before, ::after { 
	box-sizing: inherit; 
}

body {
    margin: 0 auto; 
    font: normal 1em sans-serif, Arial;  /* Mindestschriftgröße wird dem Browser, bzw. dem Nutzer überlassen! */
	color: white;
	background-color:#282828;
	background-size:16px 16px;
}

/* ====================================================   Inhalt   ==================================================== */


a {
  color: skyblue;
}

a:hover,
a:focus {
	background:#e6f2f7 ;
}

header {
  max-width: 80em;
  min-width: 30em;
  color:white;
  background: #FAF5CB;
  margin: 0 auto 1.6em;
  position: relative;
}

header h1 {
  padding: 0;
}

header #logo {
  display: inline-block;
  max-width: 80em;
  min-width: 30em;
  background: url('../img/Logo4.png') no-repeat left center;
  color: black;
  margin: 0 0 0 1em;
  padding-left: 12em;
  text-decoration: none;
}

main {
  display: block;   /*für IE9-11 */	
  max-width: 80em;
  min-width: 30em;
  max-height: auto;
  position:relative;
  padding:0 20px 0;
  margin: 0 auto;
  background: url('../img/Hintergrund2.jpg') no-repeat left center;
  color: white;
}

.gallery{
  color: #000000; /* #FFFFFF=weiß #000000=schwarz */
  font-family: "Times New Roman", Times, serif;
}

 article{
  padding: 30px;
  width: 100%;
}

section.services h1{
  padding-left:30px;
  background: url('../img/Design08-our-services.png') no-repeat left center;
}

section.services p{
  border-bottom: 1px dashed #535353;
}

/* Navigation */

nav {
	margin: 0;	
	width: 100%;
	background: #282828;
}

nav ul {
	margin: 0;
	padding: 0;
 	font: 1.3em  Arial, Helvetica, sans-serif;
 	list-style-type: none;
}

nav li {
	display: inline;
	margin: 0;
}

nav a {
	position: relative;
	display: inline-block;
	text-decoration: none;
	color: white;
	padding: .5em;
	padding-right: 2em;
	text-align: right;
}

[aria-current=page] {
	font-weight: bold;
	color: #feb040;
}

nav a::after{
	content:" ▶";
	color: #feb040;
	display: inline-block;
	width: 2em;
}

nav a:hover::after, nav a:focus::after{
	content:" ▼";
}  

nav a:hover, nav a:focus {
	background: transparent;
	color: #feb040;
}


footer {
  max-width: 70em;
  padding: 1em;
  margin: 1em auto;
  color: #ccc;
}

dl.grid { 
  display: grid; 
  grid-template-columns: 1fr 100%; 
}
dd { 
  margin: 10; 
  padding-left: 1em; 
}
dl.grid dd {
  margin-bottom: 2em;
}

a[href^="tel"] { white-space: nowrap; }

.copy {
	text-align: left;
}

/* ====================================================   LAYOUT   ==================================================== */

/* Mobile first ! alle Blöcke haben 100%, Navigation unten */

body {
  padding: 0 1em;
}

@media screen and (min-width: 36em) {    

	main, footer {
	  	display: grid;
	  	grid-template-columns: repeat(2, 1fr);
	  	grid-gap: 2em;
	}
	article {
		grid-column: 1 / 2;
	}	
	.gallery {
		grid-column: 1 / 3;
	}	
	
	aside  {
		grid-column: 2 / 3;	
	}
}

@media screen and (min-width: 50em) {   
	main, footer {
	  	grid-template-columns: repeat(3, 1fr);		/* 3Spalten, sobald Platz da ist */
	}
	
	article {
		grid-column: 1 / 3;
	}
	
	.gallery {
		grid-column: 1 / 3;
	}
	
	aside  {
		grid-column: 1 / 3;	
	}
	figure {
  		margin: 0;
	}


nav ul {
  padding: 0 0 0 2%;
  font: 1.2em Helvetica,Arial,sans-serif;
}
}
